X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

"untrusted" firefox will not recognize it's own certificate or google or ebay.claim is cert.is exspired altough dates are for 2009

Posted

firefox wont accept its own cert. as well as gmail and ebay.cant access any of the add on features,will not recognize you.have a security update from you dated "dec 31 1969"release for 3.5.9(20100315083431) this is the latest i have received.

URL of affected sites

http://

Additional System Details

Installed Plug-ins

  • -Default Plug-in
  • Adobe PDF Plug-In For Firefox and Netscape
  • Office Plugin for Netscape Navigator
  • Shockwave Flash 10.0 r32
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • DRM Netscape Network Object
  • Npdsplay dll
  • DRM Store Netscape Plugin

Application

  • User Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.9) Gecko/20100315 FireDownload/2.0.1 Firefox/3.5.9

More Information

add ons come from "untrusted site "ie mozilla.firefox

cor-el
  • Top 10 Contributor
  • Moderator
10745 solutions 96690 answers

Check the date and time in the clock on your computer: (double) click the clock icon on the Windows Taskbar. See Troubleshoot the "Secure Connection Failed" error message